Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Class GOST28147Parameters

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cryptopro.GOST28147Parameters

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class GOST28147Parameters
extends ASN1Object

ASN.1 algorithm identifier parameters for GOST-28147

Constructor Summary
`GOST28147Parameters(byte[] iv, ASN1ObjectIdentifier paramSet)`

Method Summary
`ASN1ObjectIdentifier` | `getEncryptionParamSet()` Return the OID representing the sBox to use.
`static GOST28147Parameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GOST28147Parameters` | `getInstance(java.lang.Object obj)`
`byte[]` | `getIV()` Return the initialisation vector to use.
`ASN1Primitive` | `toASN1Primitive()` Gost28147-89-Parameters ::= SEQUENCE { iv Gost28147-89-IV, encryptionParamSet OBJECT IDENTIFIER } Gost28147-89-IV ::= OCTET STRING (SIZE (8))

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST28147Parameters

    public GOST28147Parameters(byte[] iv,
                               ASN1ObjectIdentifier paramSet)

Method Detail

### getInstance

    public static GOST28147Parameters getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

### getInstance

    public static GOST28147Parameters getInstance(java.lang.Object obj)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Gost28147-89-Parameters ::= SEQUENCE { iv Gost28147-89-IV, encryptionParamSet OBJECT IDENTIFIER } Gost28147-89-IV ::= OCTET STRING (SIZE (8))

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### getEncryptionParamSet

    public ASN1ObjectIdentifier getEncryptionParamSet()

  Return the OID representing the sBox to use.

  Returns:
    the sBox OID.

### getIV

    public byte[] getIV()

  Return the initialisation vector to use.

  Returns:
    the IV.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD